Bug 975771 - Specifying virtio interface ('iface' parameter) breaks the direct backend - libguestfs hangs
Specifying virtio interface ('iface' parameter) breaks the direct backend - l...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
:
Depends On: 975760 975797
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 06:11 EDT by bfan
Modified: 2014-06-17 22:00 EDT (History)
2 users (show)

See Also:
Fixed In Version: libguestfs-1.22.4-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 975760
Environment:
Last Closed: 2014-06-13 07:12:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bfan 2013-06-19 06:11:10 EDT
+++ This bug was initially created as a clone of Bug #975760 +++

Description of problem:
add-drive-ro-with-if will hung when specified virtio type.


Version-Release number of selected component (if applicable):
libguestfs-1.20.8-5.el6.x86_64

How reproducible:
100%


Steps to Reproduce:
[root]# qemu-img create /tmp/image 1G
[root]# guestfish add-drive-ro-with-if /tmp/image virtio : run

Actual results:
gueshfish hung

Expected results:
Execute successfully


Additional info:
It works in libguestfs-1.16.32-2.el6.x86_64, Regression
Comment 1 bfan 2013-06-19 06:13:50 EDT
For rhel7, need "export LIBGUESTFS_BACKEND=direct" before boot guestfish

libguestfs-1.22.2-1.el7.x86_64
Comment 2 Richard W.M. Jones 2013-07-05 10:51:16 EDT
Fixed upstream in:
f7fe7e8db021b13f40aba56722d6ebe58e3777d2

Regression test:
d8a3185823e608dbddbc6185209951140b8f3b33
Comment 4 bfan 2013-12-02 00:14:32 EST
Verified with libguestfs-1.22.6-16.el7.x86_64

# export LIBGUESTFS_BACKEND=direct
# qemu-img create /tmp/image 1G
Formatting '/tmp/image', fmt=raw size=1073741824 
# guestfish add-drive-ro-with-if /tmp/image virtio : run

Works well, no hung here
Comment 5 Ludek Smid 2014-06-13 07:12:46 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.